com.smartgwt.client.widgets

## Class ImgProperties

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.widgets.ImgProperties

-     public class ImgProperties
      extends DataClass

  A set of properties that can be used to create an image.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImgProperties()`
    `ImgProperties(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `ImgProperties(java.lang.String src, int width, int height)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getExtraStuff()` Specifies the additional attributes to write in the tag.
    `java.lang.Integer` | `getHeight()` Specifies the height of the image.
    `java.lang.String` | `getImgDir()` Specifies the image-specific image directory to override the default.
    `java.lang.String` | `getName()` Specifies the name of the image.
    `static ImgProperties` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.String` | `getSrc()` Specifies the URL of the image local to the skin or application directory.
    `java.lang.Integer` | `getWidth()` Specifies the width of the image.
    `void` | `setExtraStuff(java.lang.String extraStuff)` Specifies the additional attributes to write in the tag.
    `void` | `setHeight(java.lang.Integer height)` Specifies the height of the image.
    `void` | `setImgDir(java.lang.String imgDir)` Specifies the image-specific image directory to override the default.
    `void` | `setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `void` | `setName(java.lang.String name)` Specifies the name of the image.
    `void` | `setSrc(java.lang.String src)` Specifies the URL of the image local to the skin or application directory.
    `void` | `setWidth(java.lang.Integer width)` Specifies the width of the image.

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, getJsObj, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, hashCode, isCreated, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImgProperties

          public ImgProperties()

    - #### ImgProperties

          public ImgProperties(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### ImgProperties

          public ImgProperties(java.lang.String src,
                       int width,
                       int height)

  - ### Method Detail

    - #### getOrCreateRef

          public static ImgProperties getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setJavaScriptObject

          public void setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setExtraStuff

          public void setExtraStuff(java.lang.String extraStuff)

      Specifies the additional attributes to write in the tag.
      Parameters:
        `extraStuff` - . See `String`. Default value is null

    - #### getExtraStuff

          public java.lang.String getExtraStuff()

      Specifies the additional attributes to write in the tag.
      Returns:
        . See `String`

    - #### setHeight

          public void setHeight(java.lang.Integer height)

      Specifies the height of the image.
      Parameters:
        `height` - height Default value is null

    - #### getHeight

          public java.lang.Integer getHeight()

      Specifies the height of the image.
      Returns:
        Integer

    - #### setImgDir

          public void setImgDir(java.lang.String imgDir)

      Specifies the image-specific image directory to override the default.
      Parameters:
        `imgDir` - . See `String`. Default value is null

    - #### getImgDir

          public java.lang.String getImgDir()

      Specifies the image-specific image directory to override the default.
      Returns:
        . See `String`

    - #### setName

          public void setName(java.lang.String name)

      Specifies the name of the image. This is an identifier unique to the canvas, and subsequent calls to ``Canvas.getImage`` and ``Canvas.setImage`` with this name will act on the image object created using this ImgProperties object.
      Parameters:
        `name` - . See `String`. Default value is null

    - #### getName

          public java.lang.String getName()

      Specifies the name of the image. This is an identifier unique to the canvas, and subsequent calls to ``Canvas.getImage`` and ``Canvas.setImage`` with this name will act on the image object created using this ImgProperties object.
      Returns:
        . See `String`

    - #### setSrc

          public void setSrc(java.lang.String src)

      Specifies the URL of the image local to the skin or application directory.
      Parameters:
        `src` - . See `String`. Default value is null

    - #### getSrc

          public java.lang.String getSrc()

      Specifies the URL of the image local to the skin or application directory.
      Returns:
        . See `String`

    - #### setWidth

          public void setWidth(java.lang.Integer width)

      Specifies the width of the image.
      Parameters:
        `width` - width Default value is null

    - #### getWidth

          public java.lang.Integer getWidth()

      Specifies the width of the image.
      Returns:
        Integer